/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import {exists, mapValues} from '../runtime';
/**
 *
 * @export
 * @interface TransactionsReviewRequestBody
 */
export interface TransactionsReviewRequestBody {
  /**
   *
   * @type {Set<string>}
   * @memberof TransactionsReviewRequestBody
   */
  transactionIds: Set<string>;
  /**
   *
   * @type {boolean}
   * @memberof TransactionsReviewRequestBody
   */
  approve: boolean;
}

export function TransactionsReviewRequestBodyFromJSON(
  json: any
): TransactionsReviewRequestBody {
  return TransactionsReviewRequestBodyFromJSONTyped(json, false);
}

export function TransactionsReviewRequestBodyFromJSONTyped(
  json: any,
  ignoreDiscriminator: boolean
): TransactionsReviewRequestBody {
  if (json === undefined || json === null) {
    return json;
  }
  return {
    transactionIds: json['transactionIds'],
    approve: json['approve'],
  };
}

export function TransactionsReviewRequestBodyToJSON(
  value?: TransactionsReviewRequestBody | null
): any {
  if (value === undefined) {
    return undefined;
  }
  if (value === null) {
    return null;
  }
  return {
    transactionIds: value.transactionIds,
    approve: value.approve,
  };
}
